<!DOCTYPE html>
<html>
	<body>
		<p>Click the button to solve the question 5 solution.</p>
		<button onclick="closedSum()">Find the element for closed sum</button>
		<p id="demo"></p>

		<script>
			function closedSum() {
				var array_size1;
				var array_size2;
				var sum;
				var i,j;
				var p,q;
				var diff;
				var res1,res2;
				var output = "";
				var test_case = prompt("Please enter no of test case : ");
				for(j=0;j<test_case;j++) {
					array_size1 = +(prompt(`Please enter size of first array for ${j+1} test: `));
					array_size2 = +(prompt(`Please enter size of second array for ${j+1} test: `));
					var array1 = [];
					var array2 = [];
					diff = 100000;
					for(i=0;i<array_size1;i++){
						array1.push(+(prompt(`please enter ${i+1} element of first array for ${j+1} test: `)));
					}
					for(i=0;i<array_size2;i++){
						array2.push(+(prompt(`please enter ${i+1} element of second array for ${j+1} test: `)));
					}
					var sum = +(prompt(`Please enter sum for ${j+1} test: `));
					array1.sort(function(a, b){return a - b});
					array2.sort(function(a, b){return a - b});
					p=0;
					q=array_size2-1;
					
					while (p<array_size1 && q>=0) { 
						if (Math.abs(array1[p] + array2[q] - sum) < diff) { 
							res1= p; 
							res2 = q; 
							diff = Math.abs(array1[p] + array2[q] - sum); 
						} 
						if (array1[p] + array2[q] > sum) 
							q--;
						else
							p++; 
					}		
					output += `Your pair for${j+1} array is  : `+array1[res1]+","+array2[res2]+"<br><br><br>";
				}	
				document.getElementById("demo").innerHTML = output;
			}
		</script>

	</body>
</html>